﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="registerTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Register
</asp:Content>

<asp:Content ID="registerContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Create a New Account</h2>
    <p>
        Use the form below to create a new account. 
    </p>
    <p>
        Passwords are required to be a minimum of <%=Html.Encode(ViewData["PasswordLength"])%> characters in length.
    </p>
    <%= Html.ValidationSummary("Account creation was unsuccessful. Please correct the errors and try again.") %>

    <% using (Html.BeginForm()) { %>
        <div>
            <fieldset>
                <legend>Account Information</legend>
                <div class="form_settings">
                    <p>
                        <span><label for="username">Username:</label></span>
                        <%= Html.TextBox("username") %>
                        <%= Html.ValidationMessage("username") %>
                    </p>
                    <p>
                        <span><label for="email">Email:</label></span>
                        <%= Html.TextBox("email") %>
                        <%= Html.ValidationMessage("email") %>
                    </p>
                    <p>
                        <span><label for="password">Password:</label></span>
                        <%= Html.Password("password") %>
                        <%= Html.ValidationMessage("password") %>
                    </p>
                    <p>
                        <span><label for="confirmPassword">Confirm password:</label></span>
                        <%= Html.Password("confirmPassword") %>
                        <%= Html.ValidationMessage("confirmPassword") %>
                    </p>
                    <p style="padding-top: 15px"><span>&nbsp;</span><input class="submit" type="submit"  value="Register" /></p>
                </div>
            </fieldset>
        </div>
    <% } %>
</asp:Content>
