CREATE TABLE [dbo].[Media_Movie]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[MovieTitle] [varchar] (150) COLLATE Latin1_General_CI_AS NULL,
[Description] [varchar] (max) COLLATE Latin1_General_CI_AS NULL,
[Director] [varchar] (250) COLLATE Latin1_General_CI_AS NULL,
[ReleaseDate] [varchar] (20) COLLATE Latin1_General_CI_AS NULL,
[Quality] [varchar] (150) COLLATE Latin1_General_CI_AS NULL,
[Rating] [float] NULL,
[Resolution] [varchar] (1000) COLLATE Latin1_General_CI_AS NULL,
[Image] [varchar] (max) COLLATE Latin1_General_CI_AS NULL,
[Favourite] [bit] NULL,
[Size] [varchar] (150) COLLATE Latin1_General_CI_AS NULL,
[CreatedDate] [datetime] NULL,
[ModifiedDate] [datetime] NULL,
[CreatedBy] [varchar] (250) COLLATE Latin1_General_CI_AS NULL,
[ModifiedBy] [varchar] (250) COLLATE Latin1_General_CI_AS NULL,
[FILENAME] [varchar] (200) COLLATE Latin1_General_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
ALTER TABLE [dbo].[Media_Movie] ADD CONSTRAINT [PK_Movie] PRIMARY KEY CLUSTERED  ([Id]) ON [PRIMARY]
GO
