CREATE TABLE [dbo].[TvShow_Episodes]
(
[Id] [int] NOT NULL IDENTITY(1, 1),
[TvId] [int] NULL,
[TVDBId] [int] NULL,
[SeasonId] [int] NULL,
[EpisodeId] [int] NULL,
[Title] [varchar] (300) COLLATE Latin1_General_CI_AS NULL,
[Rating] [float] NULL,
[Description] [varchar] (max) COLLATE Latin1_General_CI_AS NULL,
[AirDate] [datetime] NULL,
[Status] [varchar] (20) COLLATE Latin1_General_CI_AS NULL,
[Quality] [varchar] (50) COLLATE Latin1_General_CI_AS NULL,
[CreatedDate] [datetime] NULL,
[CreatedBy] [varchar] (150) COLLATE Latin1_General_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
ALTER TABLE [dbo].[TvShow_Episodes] ADD CONSTRAINT [PK_TvShow_Episodes] PRIMARY KEY CLUSTERED  ([Id]) ON [PRIMARY]
GO
