﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Edit
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<script type="text/javascript">
if (<%= Session["New"] %> == 1) {
    $(document).ready(function () {
        $("#lblResponse").show();
        $("#lblResponse").html("Added new Item");
        $("#lblResponse").removeClass("error").addClass("success");
        <%= Session["New"] = 0 %>;
    });
}
</script>

<script type="text/javascript">

var Id = <%= Request.Params["Id"] %>;

    function EditCategory() {
        $(document).ready(function () {
                    
            var returnJson =
            {
                "Id": Id,
                "Name": document.getElementById('CategoryName').value, 
                "Year": document.getElementById('Years').value,
                "Description": document.getElementById('Description').value
            };
                
            $.ajax({
                url: '<%= ResolveUrl("~/UserAdministration/Category/EditCategory") %>',
                type: 'POST',
                dataType: 'json',
                data: JSON.stringify(returnJson),
                contentType: 'application/json; charset=utf-8',
                success: function (data) {
                alert(data.Check);
                    if (data.Check == 1) {
                        document.getElementById('CatId').value = data.Id;
                        document.getElementById('CategoryName').value = data.Name;
                        document.getElementById('Years').value = data.Year;
                        document.getElementById('Description').value = data.Description;

                        $("#lblResponse").show();
                        $("#lblResponse").html(data.Message);
                        $("#lblResponse").removeClass("error").addClass("success");
                    }
                }
            });
        });
    }

</script>

    <h2 style="width: 200px;height:20px">Edit Item</h2>
    <div style="width:200px;"><div id="lblResponse" style="display: none;"></div></div>

     <fieldset>
    <% foreach (var item in Model.Item)
        { %>
        <fieldset style="position:relative; top: 20px; left:-30px;float:right; width:230px; height:230px;">
            <div class="ImageCentered">
                <img id="Picture" alt="picture" src="<%= Html.Encode(item.PictureLocation) %>" style="width:230px; height:230px;"/>
            </div>
        </fieldset>
        <div class="form_settings" style="padding-left:30px;width:512px">
            <p>
                <span><label for="CategoryId">Category:</label></span>
                <%= Html.DropDownList("CategoryDDL")%>
            </p>
            <p>
                <span><label for="ItemName">Item Name:</label></span>
                <input type="text" id="ItemName" value="<%=Html.Encode(item.Name) %>"/>
            </p>
            <p>
                <span><label for="Years">Years:</label></span>
                <input type="text" id="Years" value="<%=Html.Encode(item.Year) %>"/>
            </p>
            <p>
                <span><label for="Price">Price:</label></span>
                <input type="text" id="Price" value="<%=Html.Encode(item.Price) %>"/>
            </p>
            <p>
                <span><label for="Description">Description:</label></span>
                <textarea id="Description" rows="5"><%=Html.Encode(item.Description) %></textarea>
            </p>

            <p style="padding-left:32px;"><span>&nbsp;</span><input class="submit" type="submit" value="Submit" onclick="NewItem();" /></p>
           <script type="text/javascript">
            $(document).ready(function () {
                document.getElementById('CategoryDDL').value = <%=Html.Encode(item.CategoryId) %>;
            });
            </script>
        </div>
    <% } %>
    </fieldset>

</asp:Content>
