﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="loginTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Log On
</asp:Content>

<asp:Content ID="loginContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Log On</h2>
    <p>
        Please enter your username and password. <%= Html.ActionLink("Register", "Register") %> if you don't have an account.
    </p>
    <%= Html.ValidationSummary("Login was unsuccessful. Please correct the errors and try again.") %>

    <% using (Html.BeginForm()) { %>
        <div>
            <fieldset>
                <legend>Account Information</legend>
                    <div class="form_settings">
                        <p>
                            <span><label for="username">Username:</label></span>
                            <%= Html.TextBox("username") %>
                            <%= Html.ValidationMessage("username") %>
                        </p>
                        <p>
                            <span><label for="password">Password:</label></span>
                            <%= Html.Password("password") %>
                            <%= Html.ValidationMessage("password") %>
                        </p>
                        <p>
                           <label class="inline" for="rememberMe">Remember me?</label><%= Html.CheckBox("rememberMe") %> 
                        </p>
                        <p style="padding-top: 15px"><span>&nbsp;</span><input class="submit" type="submit" value="Log On" /></p>
                    </div>
            </fieldset>
        </div>
    <% } %>
</asp:Content>
