﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;

namespace Media.Core.Models
{
    public class Movie
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public string Year { get; set; }
        public string Director { get; set; }
        public string Quality { get; set; }
        public string Description { get; set; }
        public float Rating { get; set; }
        public string Favourite { get; set; }
        public string image { get; set; }
        public string SavedLocation { get; set; }

    }

    public class MovieArray
    {
        public string MovieDirectory { get; set; }
        public List<Movie> Movies { get; set; }

        public MovieArray()
        {
            Movies = new List<Movie>();
        }
    }
}