﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Media.Core.Models.Tv
{
    public class Episode
    {
        public int Id { get; set; }
        public int EpisodeNumber { get; set; }
        public string Title { get; set; }
        public decimal Rating { get; set; }
        public string AirDate { get; set; }
    }

    public class EpisodeArray
    {
        public int TvId { get; set; }
        public string ShowTitle { get; set; }
        public int Season { get; set; }
        public List<Episode> Episodes { get; set; }

        public EpisodeArray()
        {
            Episodes = new List<Episode>();
        }
    }
}