﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentMigrator;
using Media.Migrator.Properties;

namespace MigrationTemplate._1_20._03
{
    [Migration(3)]
    public class m3 : Migration
    {
        public override void Down()
        {
            Delete.Table("Setup_WizardInfo");
        }

        public override void Up()
        {
            Create.Table("Setup_WizardInfo")
                .WithColumn("Id").AsInt32().Identity().PrimaryKey()
                .WithColumn("TabTitle").AsCustom("VARCHAR(50)").NotNullable()
                .WithColumn("TabSubTitle").AsCustom("VARCHAR(50)").Nullable()
                .WithColumn("StepNumber").AsInt32().NotNullable()
                .WithColumn("StepTitle").AsCustom("VARCHAR(50)").Nullable()
                .WithColumn("StepSubTitle").AsCustom("VARCHAR(50)").Nullable()
                .WithColumn("StepSubInformation").AsCustom("VARCHAR(150)").Nullable()
                .WithColumn("StepMainTitle").AsCustom("VARCHAR(50)").NotNullable()
                .WithColumn("StepMainInformation").AsCustom("VARCHAR(MAX)").Nullable();

        }
    }
}
